propellor-5.17: property-based host configuration management in haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

Propellor.Types.CmdLine

Synopsis

- data CmdLine
  - = Run HostName
  - | Spin [HostName] (Maybe HostName)
  - | SimpleRun HostName
  - | Set PrivDataField Context
  - | Unset PrivDataField Context
  - | UnsetUnused
  - | Dump PrivDataField Context
  - | Edit PrivDataField Context
  - | ListFields
  - | AddKey String
  - | RmKey String
  - | Merge
  - | Serialized CmdLine
  - | Continue CmdLine
  - | Update (Maybe HostName)
  - | Relay HostName
  - | DockerInit HostName
  - | DockerChain HostName String
  - | ChrootChain HostName FilePath Bool Bool [ContainerCapability]
  - | GitPush Fd Fd
  - | Check
  - | Build

# Documentation

data CmdLine Source #

All the command line actions that propellor can perform.

Constructors

Run HostName |
Spin [HostName] (Maybe HostName) |
SimpleRun HostName |
Set PrivDataField Context |
Unset PrivDataField Context |
UnsetUnused |
Dump PrivDataField Context |
Edit PrivDataField Context |
ListFields |
AddKey String |
RmKey String |
Merge |
Serialized CmdLine |
Continue CmdLine |
Update (Maybe HostName) |
Relay HostName |
DockerInit HostName |
DockerChain HostName String |
ChrootChain HostName FilePath Bool Bool [ContainerCapability] |
GitPush Fd Fd |
Check |
Build |

#### Instances

Instances details

Read CmdLine Source # |
Instance details Defined in Propellor.Types.CmdLine Methods readsPrec :: Int -> ReadS CmdLine readList :: ReadS [CmdLine] readPrec :: ReadPrec CmdLine readListPrec :: ReadPrec [CmdLine]
Show CmdLine Source # |
Instance details Defined in Propellor.Types.CmdLine Methods showsPrec :: Int -> CmdLine -> ShowS show :: CmdLine -> String showList :: [CmdLine] -> ShowS
Eq CmdLine Source # |
Instance details Defined in Propellor.Types.CmdLine Methods (==) :: CmdLine -> CmdLine -> Bool (/=) :: CmdLine -> CmdLine -> Bool